Package org.gradle.api.artifacts

## Enum Configuration.State

- java.lang.Object
- - java.lang.Enum<Configuration.State>
  - - org.gradle.api.artifacts.Configuration.State

- All Implemented Interfaces:
    `Serializable`, `Comparable<Configuration.State>`
  Enclosing interface:
    Configuration

      public static enum Configuration.State
      extends Enum<Configuration.State>

  The states a configuration can be into. A configuration is only mutable as long as it is in the unresolved state.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `RESOLVED` |
    `RESOLVED_WITH_FAILURES` |
    `UNRESOLVED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Configuration.State` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Configuration.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNRESOLVED

          public static final Configuration.State UNRESOLVED

    - #### RESOLVED

          public static final Configuration.State RESOLVED

    - #### RESOLVED_WITH_FAILURES

          public static final Configuration.State RESOLVED_WITH_FAILURES

  - ### Method Detail

    - #### values

          public static Configuration.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Configuration.State c : Configuration.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Configuration.State valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null